// gnome.xonotic.in.ua

models/mapobjects/spotlamp/beam
{
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	nomipmaps
	{
		map models/mapobjects/spotlamp/beam.tga
		tcmod scroll .3 0
		blendfunc add
	}
}

models/mapobjects/spotlamp/spotlamp
{
	cull disable
	surfaceparm alphashadow
	{
		map models/mapobjects/spotlamp/spotlamp.tga
		alphafunc ge128
		depthwrite
		rgbgen vertex
	}
}

models/mapobjects/spotlamp/spotlamp_l
{
	cull disable
	q3map_surfacelight 200
	{
		map models/mapobjects/spotlamp/spotlamp_l.tga
		rgbgen identity
	}
}

noshader
{
	surfaceparm trans
	surfaceparm nomarks
	cull none
	{
		map noshader.tga
		tcmod scale 1.0 1.0
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		depthfunc equal
		rgbgen identity
	}
}

textures/3level2/glass
{
	qer_editorimage textures/base_wall/shiny3.tga
	surfaceparm trans
	cull disable
	qer_trans 0.5
	{
		map textures/effects/tinfx3.tga
		blendfunc gl_one gl_one
		tcgen environment
		rgbgen identity
	}
}

textures/3level2/qfraggel_gt_assemblyline
{
	qer_editorimage textures/3level2/qfraggel_gt_assemblyline.tga
	surfaceparm nomarks
	{
		map textures/3level2/qfraggel_gt_assemblyline.tga
		rgbgen identity
		tcmod scroll 0 1
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
		tcgen lightmap
	}
}

textures/3level2/qfraggel_gt_light_2_bl
{
	qer_editorimage textures/3level2/qfraggel_gt_light_2_bl.tga
	q3map_lightimage textures/3level2/qfraggel_gt_light_2_sfx_bl.tga
	q3map_surfacelight 900
	q3map_backsplash 0 0
	surfaceparm nomarks
	{
		map textures/3level2/qfraggel_gt_light_2_bl.tga
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/3level2/qfraggel_gt_light_2_sfx_bl.tga
		blendfunc gl_one gl_one
		rgbgen wave sawtooth .2 .1 0 7
	}
}

textures/3level2/qfraggel_gt_light_2_or
{
	qer_editorimage textures/3level2/qfraggel_gt_light_2_or.tga
	q3map_lightimage textures/3level2/qfraggel_gt_light_2_sfx_or.tga
	q3map_surfacelight 900
	q3map_backsplash 0 0
	surfaceparm nomarks
	{
		map textures/3level2/qfraggel_gt_light_2_or.tga
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/3level2/qfraggel_gt_light_2_sfx_or.tga
		blendfunc gl_one gl_one
		rgbgen wave sawtooth .2 .1 0 7
	}
}

textures/3level2/ss_skybox
{
	qer_editorimage env/ss/ss512_up.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_globaltexture
	q3map_lightsubdivide 256
	q3map_surfacelight 150
	surfaceparm sky
	q3map_sun .5 .6 .8 90 225 55
	skyparms env/ss/ss512 - -
}

textures/base_light/ceil1_34_10k
{
	qer_editorimage textures/base_light/ceil1_34.tga
	surfaceparm nomarks
	q3map_surfacelight 10000
	light 1
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/base_light/ceil1_34.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/base_light/ceil1_34.blend.tga
		blendfunc gl_one gl_one
	}
}

textures/base_light/jaildr03_1
{
	surfaceparm nomarks
	q3map_surfacelight 1000
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/base_light/jaildr03_1.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/base_light/jaildr03_1.tga
		rgbgen wave sin 0.5 0.5 1 1
		blendfunc gl_one gl_one
	}
}

textures/common/caulk
{
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nomarks
}

textures/common/clip
{
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm playerclip
}

textures/common/nodraw
{
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
}

textures/common/trigger
{
	qer_trans 0.50
	qer_nocarve
	surfaceparm nodraw
}

textures/common/weapclip
{
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
}

textures/liquids/clear_calm1
{
	qer_editorimage textures/liquids/pool3d_3e.tga
	qer_trans .5
	q3map_globaltexture
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	cull disable
	deformvertexes wave 64 sin .25 .25 0 .5
	{
		map textures/liquids/pool3d_5e.tga
		blendfunc gl_dst_color gl_one
		rgbgen identity
		tcmod scale .5 .5
		tcmod scroll .025 .01
	}
	{
		map textures/liquids/pool3d_3e.tga
		blendfunc gl_dst_color gl_one
		tcmod scale -.5 -.5
		tcmod scroll .025 .025
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/sfx/portal2_sfx
{
	portal
	surfaceparm nolightmap
	deformvertexes wave 100 sin 0 2 0 .5
	{
		map textures/sfx/portal_sfx3.tga
		blendfunc gl_src_alpha gl_one_minus_src_alpha
		depthwrite
	}
	{
		map textures/sfx/portal_sfx1.tga
		blendfunc gl_dst_color gl_zero
		tcmod rotate 360
	}
	{
		map textures/sfx/portal_sfx.tga
		blendfunc gl_one gl_one
		rgbgen wave inversesawtooth 0 .5 .2 .5
	}
	{
		map textures/sfx/portalfog.tga
		blendfunc gl_src_alpha gl_one_minus_src_alpha
		rgbgen identitylighting
		tcmod turb sin 0 .5 0 1
		tcmod rotate .1 .1
		tcmod scroll .01 .03
	}
}

